com.google.gwt.typedarrays.client

## Class Float64ArrayNative

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.typedarrays.client.ArrayBufferViewNative
    - - com.google.gwt.typedarrays.client.Float64ArrayNative

All Implemented Interfaces:
  ArrayBufferView, Float64Array

    public final class Float64ArrayNative
    extends ArrayBufferViewNative
    implements Float64Array

JS native implementation of `Float64Array`.

### Field Summary

### Fields inherited from interface com.google.gwt.typedarrays.shared.Float64Array

`BYTES_PER_ELEMENT`

### Constructor Summary

Constructors
`protected` `Float64ArrayNative()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Float64ArrayNative` `create(ArrayBuffer buffer)`
`static Float64ArrayNative` `create(ArrayBuffer buffer, int byteOffset)`
`static Float64ArrayNative` `create(ArrayBuffer buffer, int byteOffset, int length)`
`static Float64ArrayNative` `create(int length)`
`double` `get(int index)` Retrieve one element of this view.
`int` `length()` The length in elements of this view.
`void` `set(double[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` `set(double[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` `set(Float64Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` `set(Float64Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` `set(int index, double value)` Set one element in this view.
`Float64Array` `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Float64Array` `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

### Methods inherited from class com.google.gwt.typedarrays.client.ArrayBufferViewNative

`buffer, byteLength, byteOffset`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

`buffer, byteLength, byteOffset`

### Constructor Detail

#### Float64ArrayNative

    protected Float64ArrayNative()

### Method Detail

#### create

    public static Float64ArrayNative create(ArrayBuffer buffer)

Parameters:
  `buffer` -
Returns:
  a `Float64Array` instance

#### create

    public static Float64ArrayNative create(ArrayBuffer buffer,
                                            int byteOffset)

Parameters:
  `buffer` -
  `byteOffset` -
Returns:
  a `Float64Array` instance

#### create

    public static Float64ArrayNative create(ArrayBuffer buffer,
                                            int byteOffset,
                                            int length)

Parameters:
  `buffer` -
  `byteOffset` -
  `length` -
Returns:
  a `Float64Array` instance

#### create

    public static Float64ArrayNative create(int length)

Parameters:
  `length` -
Returns:
  a `Float64Array` instance

#### get

    public double get(int index)

Description copied from interface: `Float64Array`
Retrieve one element of this view.

Specified by:
  `get` in interface `Float64Array`
Returns:
  the requested element

#### length

    public int length()

Description copied from interface: `Float64Array`
The length in elements of this view.

Specified by:
  `length` in interface `Float64Array`
Returns:
  non-negative length

#### set

    public void set(double[] array)

Description copied from interface: `Float64Array`
Set multiple elements in this view from an array, storing starting at 0.

Specified by:
  `set` in interface `Float64Array`

#### set

    public void set(double[] array,
                    int offset)

Description copied from interface: `Float64Array`
Set multiple elements in this view from an array, storing starting at the requested offset.

Specified by:
  `set` in interface `Float64Array`

#### set

    public void set(Float64Array array)

Description copied from interface: `Float64Array`
Set multiple elements in this view from another view, storing starting at 0.

Specified by:
  `set` in interface `Float64Array`

#### set

    public void set(Float64Array array,
                    int offset)

Description copied from interface: `Float64Array`
Set multiple elements in this view from another view, storing starting at the requested offset.

Specified by:
  `set` in interface `Float64Array`

#### set

    public void set(int index,
                    double value)

Description copied from interface: `Float64Array`
Set one element in this view.

Specified by:
  `set` in interface `Float64Array`

#### subarray

    public Float64Array subarray(int begin)

Description copied from interface: `Float64Array`
Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

Specified by:
  `subarray` in interface `Float64Array`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Float64Array` instance

#### subarray

    public Float64Array subarray(int begin,
                                 int end)

Description copied from interface: `Float64Array`
Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

Specified by:
  `subarray` in interface `Float64Array`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  `end` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Float64Array` instance